## ros-melodic-ecl-statistics 0.62.2

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_statistics)

##############################################################################
# Catkin
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        ecl_build
        ecl_config
        ecl_linear_algebra
        ecl_mpl
        ecl_type_traits
)

##############################################################################
# Exports
##############################################################################

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS
        ecl_build
        ecl_config
        ecl_linear_algebra
        ecl_mpl
        ecl_type_traits
)

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

=== include/ecl/statistics/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/statistics)

=== debian/changelog ===
ros-melodic-ecl-statistics (0.62.2-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 14 Sep 2018 18:42:13 -0000

ros-melodic-ecl-statistics (0.61.15-0stretch) stretch; urgency=high

  * Class added for computing cumulative means and variances

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Nov 2016 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ecl-statistics
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-ecl-build, ros-melodic-ecl-config, ros-melodic-ecl-license, ros-melodic-ecl-linear-algebra, ros-melodic-ecl-mpl, ros-melodic-ecl-type-traits
Homepage: http://wiki.ros.org/ecl_statistics
Standards-Version: 3.9.2

Package: ros-melodic-ecl-statistics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ecl-build, ros-melodic-ecl-config, ros-melodic-ecl-license, ros-melodic-ecl-linear-algebra, ros-melodic-ecl-mpl, ros-melodic-ecl-type-traits
Description: Common statistical structures and algorithms for control systems.
